Name:           libkperf
Version:        v1.2.1
Release:        1%{?dist}
Summary:        Accelerated perf acquisition and symbol resolution
License:        Mulan PSL v2
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  gcc-c++ make cmake numactl-devel
ExclusiveArch:  aarch64
%description
Implement a low overhead pmu collection library, providing abstract interfaces for counting, sampling and symbol resolve.

%package devel
Summary: Development package for building Applications that use libkperf
License: Mulan PSL v2 
Requires: %{name} = %{version}-%{release}

%description devel
Development package for libkperf library calls

%prep
%autosetup -n %{name}-%{version} -p1

%build

%install
sh build.sh install_path=%{buildroot} build_type=RelWithDebInfo
mkdir -p %{buildroot}%{_libdir}
mv %{buildroot}/lib/libsym.so %{buildroot}%{_libdir}/libsym.so.%{version}
mv %{buildroot}/lib/libkperf.so %{buildroot}%{_libdir}/libkperf.so.%{version}

ln -s %{buildroot}%{_libdir}/libsym.so.%{version} %{buildroot}%{_libdir}/libsym.so
ln -s %{buildroot}%{_libdir}/libkperf.so.%{version} %{buildroot}%{_libdir}/libkperf.so

mkdir -p %{buildroot}%{_includedir}/libkperf

mv %{buildroot}/include/symbol.h %{buildroot}%{_includedir}/libkperf/
mv %{buildroot}/include/pmu.h %{buildroot}%{_includedir}/libkperf/
mv %{buildroot}/include/pcerrc.h %{buildroot}%{_includedir}/libkperf/

%check

%files
%license LICENSE
%{_libdir}/libkperf.so.%{version} %attr(755,root,root)
%{_libdir}/libsym.so.%{version} %attr(755,root,root)

%files devel
%license LICENSE
%{_libdir}/libkperf.so %attr(755,root,root)
%{_libdir}/libsym.so %attr(755,root,root)
%{_includedir}/libkperf/symbol.h %attr(644,root,root)
%{_includedir}/libkperf/pmu.h %attr(644,root,root)
%{_includedir}/libkperf/pcerrc.h %attr(644,root,root)

%changelog
* Wed Feb 12 2025 metrechen <metrechen@tencent.com> - v1.2.1-1
- Package init
